﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraController : MonoBehaviour
{
    public Transform target;

    public Vector3 offset;

    [SerializeField]
    private float distance = 10.0f;
    private float currentX = 0.0f;
    private float currentY = 0.0f;
    private float sensitivityX = 4.0f;
    private float sensitivityY = 1.0f;

    private Camera cam;

    private void Start()
    {
        cam = GetComponent<Camera>();
    }

    private void Update()
    {
        currentX += Input.GetAxis("Mouse X");
        currentY = Mathf.Clamp(currentY - Input.GetAxis("Mouse Y"), -89, 89);
    }

    private void LateUpdate()
    {
        Vector3 dir = new Vector3(0, 0, -distance);
        Quaternion rotation = Quaternion.Euler(currentY, currentX, 0);
        transform.position = /*offset +*/ target.position + rotation * dir;
        target.rotation = Quaternion.Euler(0, currentX, 0);
        transform.LookAt(target.position + offset);
    }
}
